import { NumericPositionSpec, SizeSpec, AnchorSpec, LocationProps } from '@chsk/core';
export interface BlockProps extends LocationProps {
    /** radial object size */
    r?: number;
}
export type BlockObject = [number, number, number, number, number];
export declare const blockObject: (center: NumericPositionSpec, size?: SizeSpec, r?: number) => BlockObject;
/** compute label positions, taking into account immovable data points */
export declare const arrangeBlockObjects: ({ items, obstacles, clearance, lr, maxIterations, minDelta, maxDelta, }: {
    items: BlockObject[];
    obstacles?: BlockObject[] | undefined;
    clearance?: number | undefined;
    lr?: number | undefined;
    maxIterations?: number | undefined;
    minDelta?: number | undefined;
    maxDelta?: number | undefined;
}) => {
    position: NumericPositionSpec;
    anchor: AnchorSpec;
}[];
//# sourceMappingURL=charges.d.ts.map