/// <reference types="react" />
import { ScatterCrosshairProps, ScatterInteractiveDataItem } from './types';
import { CssProps, NumericPositionSpec, Scales, SizeSpec } from '@chsk/core';
export declare const createCrosshairLines: ({ visible, coordinates, size, style, setRole, className, }: {
    visible: [boolean, boolean];
    coordinates: [number, number];
    size: SizeSpec;
    style?: Partial<import("react").CSSProperties> | undefined;
    setRole?: boolean | undefined;
    className?: string | undefined;
}) => import("react/jsx-runtime").JSX.Element;
export declare const createActiveSymbol: ({ activeData, coordinates, scales, seriesIndex, dataComponent, symbol, symbolStyle, symbolClassName, setRole, }: Pick<ScatterCrosshairProps, "symbol" | "setRole" | "symbolClassName" | "symbolStyle" | "dataComponent"> & {
    activeData?: ScatterInteractiveDataItem | undefined;
    coordinates: NumericPositionSpec;
    scales: Scales;
    seriesIndex: number;
}) => import("react").FunctionComponentElement<import("@chsk/core").DataComponentProps<ScatterInteractiveDataItem, import("@chsk/core").SymbolProps>> | null;
//# sourceMappingURL=overlays.d.ts.map