import { NumericPositionSpec } from '@chsk/core';
import { SignalProcessingProps } from './types';
/**
 * perform a convolution of a data array with a mask
 * the calculation mimics behavior of numpy convolution
 * */
export declare const convolution: (data: number[], mask: number[], normalizeMask?: boolean) => number[];
/** pick a subset of data values at regular intervals */
export declare const downsample: (data: number[], alpha: number, offset?: number) => number[];
/** create an array of points suitable for creating paths */
export declare const curvePoints: ({ x, y, convolutionMask: mask, convolutionOffset: offset, downsampleFactor, downsampleIndex, }: SignalProcessingProps & {
    x: number[];
    y: number[];
}) => Array<NumericPositionSpec>;
//# sourceMappingURL=signals.d.ts.map